<%
# BigBlueButton open source conferencing system - http://www.bigbluebutton.org/.
# Copyright (c) 2018 BigBlueButton Inc. and by respective authors (see below).
# This program is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License as published by the Free Software
# Foundation; either version 3.0 of the License, or (at your option) any later
# version.
#
# BigBlueButton is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
# You should have received a copy of the GNU Lesser General Public License along
# with BigBlueButton; if not, see <http://www.gnu.org/licenses/>.
%>

<% flash.each do |key,value| %>
  <% if key.eql? "success" %>
    <div class="alert alert-success alert-dismissible text-center mb-0">
      <button type="button" class="close" data-dismiss="alert">&times</button>
      <%= value %>
    </div>
  <% elsif key.eql? "alert" %>
    <div class="alert alert-danger alert-dismissible text-center mb-0">
      <button type="button" class="close" data-dismiss="alert">&times</button>
      <%= sanitize value %>
    </div>
  <% elsif key.eql? "maintenance" %>
    <div class="alert alert-info alert-dismissible text-center mb-0">
      <%= value %>
      <button id="maintenance-close" type="button" data-date="<%= URI.encode(value) %>" class="close" data-dismiss="alert">&times</button>
    </div>
  <% elsif key.eql? "info" %>
    <div class="alert alert-info alert-dismissible text-center mb-0">
      <button type="button" class="close" data-dismiss="alert">&times</button>
      <%= value %>
    </div>
  <% end %>
<% end %>
